%% FDI filter plotting
% This file plots all the figures associated with FDI_filter_perf.m

%% Plot the error signals
figure; % beta, phi, psi
subplot(311);
plot(e.time, e.beta);
ylabel('Beta, \beta [deg]');
subplot(312);
plot(e.time, e.phi);
ylabel('Phi, \phi [deg]');
subplot(313);
plot(e.time, e.psi);
xlabel('Time, t [s]');
ylabel('Psi, \psi [deg]');

figure; % p and r
subplot(211);
plot(e.time, e.p);
ylabel('Roll rate, p [deg/s]');
subplot(212);
plot(e.time, e.r);
xlabel('Time, t [s]');
ylabel('Yaw rate, r [deg/s]');

figure; % rudder and aileron
subplot(211);
plot(e.time, e.rud);
ylabel('Rudder, rud [deg]');
subplot(212);
plot(e.time, e.rail);
xlabel('Time, t [s]');
ylabel('Aileron, r_{ail} [deg]');

%% Plot the variables in flag.frame.* and flag.sustain.*
figure; % beta, phi, psi
subplot(311);
plot(e.time, detect.frame.beta, 'b-', e.time, detect.sustain.beta, 'r-');
ylabel('Beta, \beta [deg]');
subplot(312);
plot(e.time, detect.frame.phi, 'b-', e.time, detect.sustain.phi, 'r-');
ylabel('Phi, \phi [deg]');
subplot(313);
plot(e.time, detect.frame.psi, 'b-', e.time, detect.sustain.psi, 'r-');
xlabel('Time, t [s]');
ylabel('Psi, \psi [deg]');

figure; % p and r
subplot(211);
plot(e.time, detect.frame.p, 'b-', e.time, detect.sustain.p, 'r-');
ylabel('Roll rate, p [deg/s]');
subplot(212);
plot(e.time, detect.frame.r, 'b-', e.time, detect.sustain.r, 'r-');
xlabel('Time, t [s]');
ylabel('Yaw rate, r [deg/s]');

figure; % rudder and aileron
subplot(211);
plot(e.time, detect.frame.rud, 'b-', e.time, detect.sustain.rud, 'r-');
ylabel('Rudder, rud [deg]');
subplot(212);
plot(e.time, detect.frame.rail, 'b-', e.time, detect.sustain.rail, 'r-');
xlabel('Time, t [s]');
ylabel('Aileron, r_{ail} [deg]');

%% Plot the variable detect.global
figure;
plot(e.time, detect.global, 'k-');
xlabel('Time, t [s]');
ylabel('Global fault variable');
